---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "vercel_file Data Source - terraform-provider-vercel"
subcategory: ""
description: |-
  Provides information about a file on disk.
  -> This is intended to be used with the vercel_deployment resource only.
---

# vercel_file (Data Source)

Provides information about a file on disk.

-> This is intended to be used with the `vercel_deployment` resource only.

## Example Usage

```terraform
data "vercel_file" "example" {
  path = "index.html"
}

resource "vercel_deployment" "example" {
  project_id = "prj_xxxxxxxxxxxx"
  files      = data.vercel_file.example.file
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- **path** (String) The path to the file on your filesystem. Note that the path is relative to the root of the terraform files.

### Read-Only

- **file** (Map of String) A map of filename to metadata about the file. The metadata contains the file size and hash, and allows a deployment to be created if the file changes.
- **id** (String) The ID of this resource.


